my $expected_version = "3.01";
print("import: Bio::DB::HTS\n");
use Bio::DB::HTS;

if (defined Bio::DB::HTS->VERSION) {
	my $given_version = Bio::DB::HTS->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS->VERSION . '
');

}
print("import: Bio::DB::HTS::AlignWrapper\n");
use Bio::DB::HTS::AlignWrapper;

if (defined Bio::DB::HTS::AlignWrapper->VERSION) {
	my $given_version = Bio::DB::HTS::AlignWrapper->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::AlignWrapper->VERSION . '
');

}
print("import: Bio::DB::HTS::Alignment\n");
use Bio::DB::HTS::Alignment;

if (defined Bio::DB::HTS::Alignment->VERSION) {
	my $given_version = Bio::DB::HTS::Alignment->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::Alignment->VERSION . '
');

}
print("import: Bio::DB::HTS::Constants\n");
use Bio::DB::HTS::Constants;

if (defined Bio::DB::HTS::Constants->VERSION) {
	my $given_version = Bio::DB::HTS::Constants->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::Constants->VERSION . '
');

}
print("import: Bio::DB::HTS::Faidx\n");
use Bio::DB::HTS::Faidx;

if (defined Bio::DB::HTS::Faidx->VERSION) {
	my $given_version = Bio::DB::HTS::Faidx->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::Faidx->VERSION . '
');

}
print("import: Bio::DB::HTS::FetchIterator\n");
use Bio::DB::HTS::FetchIterator;

if (defined Bio::DB::HTS::FetchIterator->VERSION) {
	my $given_version = Bio::DB::HTS::FetchIterator->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::FetchIterator->VERSION . '
');

}
print("import: Bio::DB::HTS::Kseq\n");
use Bio::DB::HTS::Kseq;

if (defined Bio::DB::HTS::Kseq->VERSION) {
	my $given_version = Bio::DB::HTS::Kseq->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::Kseq->VERSION . '
');

}
print("import: Bio::DB::HTS::Kseq::Record\n");
use Bio::DB::HTS::Kseq::Record;

if (defined Bio::DB::HTS::Kseq::Record->VERSION) {
	my $given_version = Bio::DB::HTS::Kseq::Record->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::Kseq::Record->VERSION . '
');

}
print("import: Bio::DB::HTS::Pileup\n");
use Bio::DB::HTS::Pileup;

if (defined Bio::DB::HTS::Pileup->VERSION) {
	my $given_version = Bio::DB::HTS::Pileup->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::Pileup->VERSION . '
');

}
print("import: Bio::DB::HTS::PileupWrapper\n");
use Bio::DB::HTS::PileupWrapper;

if (defined Bio::DB::HTS::PileupWrapper->VERSION) {
	my $given_version = Bio::DB::HTS::PileupWrapper->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::PileupWrapper->VERSION . '
');

}
print("import: Bio::DB::HTS::Query\n");
use Bio::DB::HTS::Query;

if (defined Bio::DB::HTS::Query->VERSION) {
	my $given_version = Bio::DB::HTS::Query->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::Query->VERSION . '
');

}
print("import: Bio::DB::HTS::ReadIterator\n");
use Bio::DB::HTS::ReadIterator;

if (defined Bio::DB::HTS::ReadIterator->VERSION) {
	my $given_version = Bio::DB::HTS::ReadIterator->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::ReadIterator->VERSION . '
');

}
print("import: Bio::DB::HTS::Segment\n");
use Bio::DB::HTS::Segment;

if (defined Bio::DB::HTS::Segment->VERSION) {
	my $given_version = Bio::DB::HTS::Segment->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::Segment->VERSION . '
');

}
print("import: Bio::DB::HTS::Tabix\n");
use Bio::DB::HTS::Tabix;

if (defined Bio::DB::HTS::Tabix->VERSION) {
	my $given_version = Bio::DB::HTS::Tabix->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::Tabix->VERSION . '
');

}
print("import: Bio::DB::HTS::Target\n");
use Bio::DB::HTS::Target;

if (defined Bio::DB::HTS::Target->VERSION) {
	my $given_version = Bio::DB::HTS::Target->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::Target->VERSION . '
');

}
print("import: Bio::DB::HTS::VCF\n");
use Bio::DB::HTS::VCF;

if (defined Bio::DB::HTS::VCF->VERSION) {
	my $given_version = Bio::DB::HTS::VCF->VERSION;
	$given_version =~ s/0+$//;
	die('Expected version ' . $expected_version . ' but found ' . $given_version) unless ($expected_version eq $given_version);
	print('	using version ' . Bio::DB::HTS::VCF->VERSION . '
');

}
